=head1 NAME

B<dumpxCATdb> - dumps the xCAT db tables .

=head1 SYNOPSIS

B<dumpxCATdb> [B<-a>] [B<-V>] [{B<-p>|B<--path>} I<path>]

B<dumpxCATdb> [B<-h>|B<--help>] [B<-v>|B<--version>]


=head1 DESCRIPTION

The dumpxCATdb command creates .csv files for xCAT database tables and puts them in the directory given by the -p flag. These files can be used by the restorexCATdb command to restore the database. The command will read the list of tables in the site.skiptables attribute and not backup those tables.

=head1 OPTIONS


B<-h>          Display usage message.

B<-v>          Command Version.

B<-V>          Verbose.

B<-a>          All,without this flag the eventlog and auditlog will be skipped.

B<-p>          Path to the directory to dump the tables. It will be created, if it does not exist.


=head1 RETURN VALUE

0 The command completed successfully.

1 An error has occurred.

=head1 EXAMPLES

1. To dump the xCAT database into the /tmp/db directory, enter:

B<dumpxCATdb -p /tmp/db>

2. To dump the xCAT database into the /tmp/db directory, including the auditlog and eventlog enter:

B<dumpxCATdb -a -p /tmp/db>

2. To have dumpxCATdb not backup the hosts or passwd table:

B<chtab key=skiptables site.value="hosts,passwd">

=head1 FILES

/opt/xcat/sbin/dumpxCATdb


=head1 SEE ALSO

L<restorexCATdb(1)|restorexCATdb.1>



